ANT.NETCore.PluginLoader 2.1.3

.NET Core 3.0 .NET Framework 4.6
Install-Package ANT.NETCore.PluginLoader -Version 2.1.3
dotnet add package ANT.NETCore.PluginLoader --version 2.1.3
<PackageReference Include="ANT.NETCore.PluginLoader" Version="2.1.3" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add ANT.NETCore.PluginLoader --version 2.1.3
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: ANT.NETCore.PluginLoader, 2.1.3"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install ANT.NETCore.PluginLoader as a Cake Addin
#addin nuget:?package=ANT.NETCore.PluginLoader&version=2.1.3

// Install ANT.NETCore.PluginLoader as a Cake Tool
#tool nuget:?package=ANT.NETCore.PluginLoader&version=2.1.3
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

ANT Inversion of Control Plugin Loading Library

This package contains everything required to setup dynamic IOC on .net core 3 and .Net Framework 4.6+ apps

Product Versions
.NET net5.0 net5.0-windows net6.0 net6.0-android net6.0-ios net6.0-maccatalyst net6.0-macos net6.0-tvos net6.0-windows
.NET Core netcoreapp3.0 netcoreapp3.1
.NET Framework net46 net461 net462 net463 net47 net471 net472 net48
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.

NuGet packages

This package is not used by any NuGet packages.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
2.1.3 356 7/14/2020
2.1.2 305 7/14/2020
2.1.1 288 7/2/2020
2.1.0 301 6/29/2020
2.0.0 347 6/22/2020
1.2.1 330 6/19/2020

1.0.0: first release
1.1.0: allow loading MVC controllers
1.2.0: LoadDinamically methods now return the caller instance
2.0.0: Added Readme and IOC support for .Net Framework 4.6+ using Unity
2.1.0: Improved support for multiple plugin path styles
2.1.2: Support for netcore3.0
2.1.3: Updated dependencies